com.google.gwt.user.server.rpc

## Class UnexpectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.gwt.user.server.rpc.UnexpectedException

All Implemented Interfaces:
  java.io.Serializable

    public class UnexpectedException
    extends java.lang.RuntimeException

The GWT RPC class throws UnexpectedException when a service method, being invoked by GWT RPC, throws a checked exception that is not in the service method's signature. Such exceptions are "unexpected" and the specific exception will be the cause of the UnexpectedException.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnexpectedException(java.lang.String message, java.lang.Throwable cause)` Construct an UnexpectedException.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnexpectedException

    public UnexpectedException(java.lang.String message,
                               java.lang.Throwable cause)

Construct an UnexpectedException.

Parameters:
  `message` - the detail message
  `cause` - the cause of this `UnexpectedException`